com.gisgraphy.webapp.action

## Class GeocodingAction

- java.lang.Object
- - com.opensymphony.xwork2.ActionSupport
  - - com.gisgraphy.webapp.action.GeocodingAction

- All Implemented Interfaces:
    GoogleMapApiKeyAware, com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

      public class GeocodingAction
      extends com.opensymphony.xwork2.ActionSupport
      implements GoogleMapApiKeyAware

  Ggeocoding Action
  Author:
    David Masclet
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.opensymphony.xwork2.ActionSupport

      `LOG`

    - ### Fields inherited from interface com.opensymphony.xwork2.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeocodingAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `buildCityDisplayName(com.gisgraphy.fulltext.SolrResponseDto cityfound)`
    `String` | `execute()`
    `List<com.gisgraphy.fulltext.SolrResponseDto>` | `getAmbiguousCities()`
    `String` | `getAmbiguousCity()`
    `String` | `getCity()`
    `List<Country>` | `getCountries()`
    `String` | `getCountryCode()`
    `String` | `getErrorMessage()`
    `String` | `getGoogleMapAPIKey()`
    `String` | `getLat()`
    `String` | `getLatLongJson()`
    `String` | `getLng()`
    `String` | `getMessage()`
    `boolean` | `isCityFound()`
    `void` | `setAmbiguousCities(List<com.gisgraphy.fulltext.SolrResponseDto> ambiguousCities)`
    `void` | `setAmbiguousCity(String ambiguousCity)`
    `void` | `setCity(String city)`
    `void` | `setCountryCode(String countryCode)`
    `void` | `setCountryDao(ICountryDao countryDao)`
    `void` | `setFullTextSearchEngine(com.gisgraphy.fulltext.IFullTextSearchEngine fullTextSearchEngine)`
    `void` | `setLat(String lat)`
    `void` | `setLng(String lng)`

    - ### Methods inherited from class com.opensymphony.xwork2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeocodingAction

          public GeocodingAction()

  - ### Method Detail

    - #### execute

          public String execute()
                         throws Exception

      Specified by:
        `execute` in interface `com.opensymphony.xwork2.Action`
      Overrides:
        `execute` in class `com.opensymphony.xwork2.ActionSupport`
      Throws:
        `Exception`

    - #### buildCityDisplayName

          protected String buildCityDisplayName(com.gisgraphy.fulltext.SolrResponseDto cityfound)

    - #### getLatLongJson

          public String getLatLongJson()

    - #### getAmbiguousCities

          public List<com.gisgraphy.fulltext.SolrResponseDto> getAmbiguousCities()

      Returns:
        the ambiguousCities

    - #### setAmbiguousCities

          public void setAmbiguousCities(List<com.gisgraphy.fulltext.SolrResponseDto> ambiguousCities)

    - #### getAmbiguousCity

          public String getAmbiguousCity()

      Returns:
        the ambiguousCity

    - #### getCountries

          public List<Country> getCountries()

      Returns:
        the available countries

    - #### setAmbiguousCity

          public void setAmbiguousCity(String ambiguousCity)

      Parameters:
        `ambiguousCity` - the ambiguousCity to set

    - #### setCountryDao

          public void setCountryDao(ICountryDao countryDao)

      Parameters:
        `countryDao` - the countryDao to set

    - #### setFullTextSearchEngine

          public void setFullTextSearchEngine(com.gisgraphy.fulltext.IFullTextSearchEngine fullTextSearchEngine)

      Parameters:
        `fullTextSearchEngine` - the fullTextSearchEngine to set

    - #### getCity

          public String getCity()

      Returns:
        the city

    - #### setCity

          public void setCity(String city)

      Parameters:
        `city` - the city to set

    - #### getCountryCode

          public String getCountryCode()

      Returns:
        the countryCode

    - #### setCountryCode

          public void setCountryCode(String countryCode)

      Parameters:
        `countryCode` - the countryCode to set

    - #### getMessage

          public String getMessage()

      Returns:
        the message

    - #### getErrorMessage

          public String getErrorMessage()

      Returns:
        the errorMessage

    - #### getLng

          public String getLng()

      Returns:
        the lng

    - #### setLng

          public void setLng(String lng)

      Parameters:
        `lng` - the lng to set

    - #### getLat

          public String getLat()

      Returns:
        the lat

    - #### setLat

          public void setLat(String lat)

      Parameters:
        `lat` - the lat to set

    - #### getGoogleMapAPIKey

          public String getGoogleMapAPIKey()

      Specified by:
        `getGoogleMapAPIKey` in interface `GoogleMapApiKeyAware`
      Returns:
        the googleMapAPIKey

    - #### isCityFound

          public boolean isCityFound()

      Returns:
        the cityFound

Copyright © 2015. All rights reserved.